Get the API key identity
GET
/session
const url = 'https://ads.wortise.com/api/public/v1/session';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://ads.wortise.com/api/public/v1/session \ --header 'x-api-key: <x-api-key>'Describes the API key in use: its owner, organization, scopes and the owner’s dashboard permissions.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Identity of the API key.
Media typeapplication/json
object
account
required
object
email
required
string format: email
id
required
string format: uuid
apiKey
required
object
id
required
string
scopes
required
object
assets
Array<string>
campaigns
Array<string>
creatives
Array<string>
inventory
Array<string>
organization
required
object
id
required
string format: uuid
name
string
permissions
required
Dashboard permissions of the key owner in the organization, per collection
object
key
additional properties
Array<string>
Example
{ "apiKey": { "scopes": { "assets": [ "read" ], "campaigns": [ "launch" ], "creatives": [ "read" ], "inventory": [ "read" ] } }, "permissions": { "additionalProperty": [ "create" ] }}The API key is missing, invalid, disabled or expired.
Media typeapplication/json
object
code
required
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
string
message
required
string
Example
{ "code": "PARSE_ERROR"}The API key exceeded its rate limit; retry after the Retry-After seconds.
Media typeapplication/json
object
code
required
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
string
message
required
string
Example
{ "code": "PARSE_ERROR"}Headers
Section titled “Headers”Retry-After
integer
Seconds to wait before retrying.
Unexpected server error.
Media typeapplication/json
object
code
required
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
string
message
required
string
Example
{ "code": "PARSE_ERROR"}© 2026 Wortise. All rights reserved.